#if !defined(AFX_SCRIPTPARAMDLG_H__B64E6474_F364_4046_A20C_294714E4D291__INCLUDED_)
#define AFX_SCRIPTPARAMDLG_H__B64E6474_F364_4046_A20C_294714E4D291__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ScriptParamDlg.h : header file
//

#include "PanelHolderDlg.h"
#include "IntPanel.h"
#include "FloatPanel.h"
#include "TextEditPanel.h"
#include "StaticTextPanel.h"

class ScriptField;
class EdScript;
/////////////////////////////////////////////////////////////////////////////
// CScriptParamDlg dialog

class CScriptParamDlg : public CPanelHolderDlg
{
// Construction
protected:
	void AddIntField(int *dpt,CString fname="Interger") { AddPanel(new CIntPanel(dpt,fname,this)); }
	void AddFloatField(float *dpt,CString fname="Float") { AddPanel(new CFloatPanel(dpt,fname,this)); }
	void AddTextEditField(CString *dpt,CString fname="Text") { AddPanel(new CTextEditPanel(dpt,fname,this)); }
	void AddStaticTextField(CString fname="StaticText") { AddPanel(new CStaticTextPanel(fname,this)); }
	void AddField(ScriptField *field);
	void BuildFromScript(EdScript *script);
public:
	CScriptParamDlg(EdScript *script,CWnd* pParent = NULL);   // standard constructor


// Dialog Data
	//{{AFX_DATA(CScriptParamDlg)
	enum { IDD = IDD_SCRIPTPARAM };
	CButton	m_OKBut;
	CButton	m_CancelBut;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScriptParamDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CScriptParamDlg)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCRIPTPARAMDLG_H__B64E6474_F364_4046_A20C_294714E4D291__INCLUDED_)
